# BEGIN SourceDeps(oneline):
BuildRequires: perl(Net/DBus/Exporter.pm) perl(Net/DBus/Object.pm) perl(Net/DBus/Service.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Net-DBus-GLib
Version:        0.33.0
Release:        alt3_12
Summary:        Perl extension for the DBus GLib bindings
License:        GPLv2+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Net-DBus-GLib/
Source0:        http://www.cpan.org/authors/id/D/DA/DANBERR/Net-DBus-GLib-%{version}.tar.gz
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Glib.pm)
BuildRequires:  perl(Net/DBus.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  libdbus-glib-devel
Source44: import.info

%description
Net::DBus::GLib provides an extension to the Net::DBus module allowing
integration with the GLib mainloop. To integrate with the main loop, simply
get a connection to the bus via the methods in Net::DBus::GLib rather than
the usual Net::DBus module. That's it - every other API remains the same.

%prep
%setup -q -n Net-DBus-GLib-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc AUTHORS CHANGES LICENSE README examples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.33.0-alt3_12
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.33.0-alt3_11
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.33.0-alt2_11
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.33.0-alt2_9
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.33.0-alt1_9
- fc import

